summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Hanson <hansonorders@verison.net>2010-06-28 20:22:05 (GMT)
committerMichael Hanson <hansonorders@verison.net>2010-06-28 20:22:05 (GMT)
commit50393bfc3f7d530ea28bb3a5b22c4ee5704d7f16 (patch)
tree5926ca994806f944b2f4ba7a1a343898b5fcecbc
parentd6700409fe40996d8185e25c7c375a1a8c250864 (diff)
parent25d4840e95d5e669f9e09ce23615eaa5051a247e (diff)
downloadlinhes_pkgbuild-50393bfc3f7d530ea28bb3a5b22c4ee5704d7f16.zip
linhes_pkgbuild-50393bfc3f7d530ea28bb3a5b22c4ee5704d7f16.tar.gz
linhes_pkgbuild-50393bfc3f7d530ea28bb3a5b22c4ee5704d7f16.tar.bz2
Merge branch 'master' of mihanson@knoppmyth.net:LinHES-PKGBUILD
-rwxr-xr-x[-rw-r--r--]abs/core-testing/LinHES-system/LinHES-run20
-rwxr-xr-x[-rw-r--r--]abs/core-testing/LinHES-system/PKGBUILD6
-rwxr-xr-xabs/core-testing/LinHES-system/bin/mythbackup11
-rwxr-xr-xabs/core-testing/LinHES-system/bin/mythrestore11
-rw-r--r--abs/core-testing/linhes-scripts/PKGBUILD6
-rwxr-xr-xabs/core-testing/linhes-scripts/shootscreens-mythtv.sh14
-rwxr-xr-xabs/core-testing/linhes-scripts/shootscreens.sh23
-rw-r--r--abs/core-testing/xosd/PKGBUILD11
-rw-r--r--abs/core-testing/xosd/__changelog7
-rw-r--r--abs/core-testing/xosd/osd_cat.cfg6
-rwxr-xr-x[-rw-r--r--]abs/extra-testing/autofs/Changelog2
-rwxr-xr-x[-rw-r--r--]abs/extra-testing/autofs/PKGBUILD26
-rw-r--r--abs/extra-testing/autofs/autofs43
-rwxr-xr-xabs/extra-testing/autofs/finish3
-rwxr-xr-xabs/extra-testing/autofs/log.run2
-rwxr-xr-xabs/extra-testing/autofs/run11
-rw-r--r--abs/extra-testing/mythappletrailers/PKGBUILD7
-rwxr-xr-xabs/extra-testing/mythappletrailers/loading.sh12
18 files changed, 131 insertions, 90 deletions
diff --git a/abs/core-testing/LinHES-system/LinHES-run b/abs/core-testing/LinHES-system/LinHES-run
index aa2c3bd..d5a3a15 100644..100755
--- a/abs/core-testing/LinHES-system/LinHES-run
+++ b/abs/core-testing/LinHES-system/LinHES-run
@@ -1,14 +1,22 @@
#!/bin/sh
function msg(){
- echo -e "$1" | osd_cat --font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*" --shadow=3 --pos=middle --align=centre --offset=200 --color=yellow --delay=5 &
-
+ echo -e "$1" | osd_cat --pos=middle --align=center --offset=200 --delay=5 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
}
. /etc/profile
. /etc/systemconfig
-idle=1
-jitter=200
-. /etc/unclutter.cfg
+. /etc/unclutter.cfg || {
+ idle=1
+ jitter=200
+}
+. /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
#keylaunch &
#/usr/bin/tilda &
@@ -30,7 +38,7 @@ mtd &
if [ x$ShowTips = "x1" ]
then
- echo "Alt+h for help" | osd_cat --font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*" --shadow=3 --pos=middle --align=centre --offset=200 --color=yellow --delay=5 &
+ msg "Alt+h for help" &
fi
# Run any scripting that applies to special hardware. These brand-specific commands that run
diff --git a/abs/core-testing/LinHES-system/PKGBUILD b/abs/core-testing/LinHES-system/PKGBUILD
index 5ac73ea..0e699f4 100644..100755
--- a/abs/core-testing/LinHES-system/PKGBUILD
+++ b/abs/core-testing/LinHES-system/PKGBUILD
@@ -1,6 +1,6 @@
pkgname=LinHES-system
pkgver=1.1
-pkgrel=31
+pkgrel=32
arch=('i686')
MVDIR=$startdir/pkg/usr/LH
BINDIR=$startdir/pkg/usr/bin
@@ -37,13 +37,15 @@ build() {
mkdir $startdir/pkg/etc/logrotate.d
cp $startdir/myth_mtc.lr $startdir/pkg/etc/logrotate.d
}
+
+
md5sums=('19934a456d0e112298b8aac3279f9a16'
'5881bdb43d578ec3a79d1f77ea58a3db'
'a875ee97f86e46f34a741c2bc455f894'
'cdcbc530224215f8fcf7ebcd93d7eb0b'
'c60b6c66f498809a6e5ca18a8c97d336'
'ccae1296ef248fa52ec3a7cb820a476e'
- 'ebb35d5f685674cc86c864df760eff20'
+ 'b58b59c05faeefd4acbbb7876215c875'
'18a884a73344ff6eb74f63b49745e0f5'
'dc3eef2a624754e16805d72bbe488b67'
'dc0be354ce77ba2b89868fc29b942c43'
diff --git a/abs/core-testing/LinHES-system/bin/mythbackup b/abs/core-testing/LinHES-system/bin/mythbackup
index cf4d491..3b4edd4 100755
--- a/abs/core-testing/LinHES-system/bin/mythbackup
+++ b/abs/core-testing/LinHES-system/bin/mythbackup
@@ -5,6 +5,15 @@
echo 1>&2 "Can not load common settings!"
exit 1
}
+
+. /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
#----------------------------------------------------------------------------
# Function to display status onscreen
@@ -19,7 +28,7 @@ osd()
TEXT="\n"$TEXT
done
fi
- printf "$TEXT" | osd_cat --lines=6 --pos=middle --align=center --delay=$2 --color white -O 2 -u black -f -adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-* &
+ printf "$TEXT" | osd_cat --lines=6 --pos=middle --align=center --delay=$2 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
}
# Prevent mythshutdown from shutting down the system in the middle...
diff --git a/abs/core-testing/LinHES-system/bin/mythrestore b/abs/core-testing/LinHES-system/bin/mythrestore
index 0ab5c86..447b0b8 100755
--- a/abs/core-testing/LinHES-system/bin/mythrestore
+++ b/abs/core-testing/LinHES-system/bin/mythrestore
@@ -5,6 +5,15 @@
echo 1>&2 "Can not load common settings!"
exit 1
}
+
+. /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
#----------------------------------------------------------------------------
# Function to display status onscreen
@@ -19,7 +28,7 @@ osd()
TEXT="\n"$TEXT
done
fi
- printf "$TEXT" | osd_cat --lines=6 --pos=middle --align=center --delay=$2 --color white -O 2 -u black -f -adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-* &
+ printf "$TEXT" | osd_cat --lines=6 --pos=middle --align=center --delay=$2 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
}
do_file_updates() { # A function because we need to do this in two places
diff --git a/abs/core-testing/linhes-scripts/PKGBUILD b/abs/core-testing/linhes-scripts/PKGBUILD
index 377cb60..e77d22a 100644
--- a/abs/core-testing/linhes-scripts/PKGBUILD
+++ b/abs/core-testing/linhes-scripts/PKGBUILD
@@ -3,7 +3,7 @@
pkgname=linhes-scripts
pkgver=1
-pkgrel=75
+pkgrel=76
pkgdesc="Various scripts that help to make LinHES, LinHES."
arch=('i686' 'x86_64')
license=('GPL2')
@@ -57,10 +57,10 @@ build() {
cp pause_mythcommflag $startdir/pkg/etc/logrotate.d/
}
md5sums=('f56985b2d602e11dc1e10d3e7848b2a5'
- '623b6e9ba6cc4a19771005e750f337a7'
+ '9a2181cdc0bc9cc8b42101f19620def8'
'9ae2cd7a0c42d57ad8b5f515d7d60196'
'1274bad3fb7296f00acd2d44804bad14'
- 'b4f858834ea92418208ab496ca39ad32'
+ '47225fa9b6c953d56f6ede84d921a300'
'6b6e7d34a4bda6d608d150039adefd07'
'3fe554dbbf7d09e1f9925032ba888bf5'
'18263972b6326e140bbef0bb7dfa2da9'
diff --git a/abs/core-testing/linhes-scripts/shootscreens-mythtv.sh b/abs/core-testing/linhes-scripts/shootscreens-mythtv.sh
index db01147..111b980 100755
--- a/abs/core-testing/linhes-scripts/shootscreens-mythtv.sh
+++ b/abs/core-testing/linhes-scripts/shootscreens-mythtv.sh
@@ -1,11 +1,19 @@
#! /bin/bash
-# available sizes: 34, 25, 24, 20, 18, 17, 14, 12, 11, 10
-export FONT="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+
+. /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
+
echo "This could take several minutes," > /tmp/screens
echo "depending on your hardware and the" >> /tmp/screens
echo "number and type of videos you have." >> /tmp/screens
echo "It will only work on videos scanned" >> /tmp/screens
echo "with Video Manager." >> /tmp/screens
-cat /tmp/screens | osd_cat --font=$FONT --shadow=3 --pos=middle --align=centre --offset=200 --color=yellow --delay=0 &
+cat /tmp/screens | osd_cat --pos=middle --align=center --delay=0 --offset=200 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
shootscreens.sh 1
/bin/rm -f /tmp/screens \ No newline at end of file
diff --git a/abs/core-testing/linhes-scripts/shootscreens.sh b/abs/core-testing/linhes-scripts/shootscreens.sh
index 7b1260c..bb45252 100755
--- a/abs/core-testing/linhes-scripts/shootscreens.sh
+++ b/abs/core-testing/linhes-scripts/shootscreens.sh
@@ -10,6 +10,14 @@
if [ "$1" == "1" ]; then
OSD=1
+ . /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+ }
else
OSD=0
fi
@@ -23,15 +31,14 @@ fi
increment=$(expr 100 / $vidcount)
for vid in `mysql -u root mythconverg -B -e "select filename from videometadata where coverfile=\"No Cover\";" | grep -v -e "^filename$"`
do
- if [ $OSD == 1 ]; then
- osd_cat --barmode=percentage --percentage=$percentage --pos=middle --align=center --color=white --text="Generating Video Thumbnails..." --font=$FONT --shadow=3 --color=yellow --delay=0 &
- percentage=$(expr $percentage + $increment)
- fi
-
- screenshooter.sh -v $vid
+ if [ $OSD == 1 ]; then
+ osd_cat --barmode=percentage --percentage=$percentage --pos=middle --align=center --text="Generating Video Thumbnails..." --delay=0 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
+ percentage=$(expr $percentage + $increment)
+ fi
+ screenshooter.sh -v $vid
done
if [ $OSD == 1 ]; then
- killall -9 osd_cat
- osd_cat --barmode=percentage --percentage=100 --pos=middle --align=center --color=white --text="Video Thumbnails Generated!" --font=$FONT --shadow=3 --color=yellow --delay=3 &
+ killall -9 osd_cat
+ osd_cat --barmode=percentage --percentage=100 --pos=middle --align=center --text="Video Thumbnails Generated!" --delay=3 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
fi
} \ No newline at end of file
diff --git a/abs/core-testing/xosd/PKGBUILD b/abs/core-testing/xosd/PKGBUILD
index e4a87ba..45130c8 100644
--- a/abs/core-testing/xosd/PKGBUILD
+++ b/abs/core-testing/xosd/PKGBUILD
@@ -4,7 +4,7 @@
pkgname=xosd
pkgver=2.2.14
-pkgrel=1
+pkgrel=2
pkgdesc="XOSD displays text on your screen. On-Screen-Display-libs for some tools."
arch=("i686" "x86_64")
license=('GPL2')
@@ -12,15 +12,18 @@ url="http://www.ignavus.net/software.html"
depends=('libxt' 'libxinerama' 'gdk-pixbuf')
makedepends=('xmms' 'bmp')
options=(!libtool)
+backup=(etc/osd_cat.cfg)
#source=("http://www.ignavus.net/xosd-$pkgver.tar.bz2")
-source=("http://ftp.de.debian.org/debian/pool/main/x/xosd/xosd_$pkgver.orig.tar.gz")
+source=("http://ftp.de.debian.org/debian/pool/main/x/xosd/xosd_$pkgver.orig.tar.gz" "osd_cat.cfg")
build() {
cd $startdir/src/xosd-$pkgver
./configure --prefix=/usr
make || return 1
make DESTDIR=$startdir/pkg/ install
+ mkdir -p $startdir/pkg/etc
+ cp -f $startdir/src/osd_cat.cfg $startdir/pkg/etc/osd_cat.cfg
}
-
-md5sums=('4b349fe930e4eee2f504d6c02673e24d')
+md5sums=('4b349fe930e4eee2f504d6c02673e24d'
+ '6ddbc7a78354f002ec0859a999d8fb86')
diff --git a/abs/core-testing/xosd/__changelog b/abs/core-testing/xosd/__changelog
new file mode 100644
index 0000000..33e7879
--- /dev/null
+++ b/abs/core-testing/xosd/__changelog
@@ -0,0 +1,7 @@
+Added:
+backup=(etc/osd_cat.cfg)
+osd_cat.cfg to source
+build() {
+ mkdir -p $startdir/pkg/etc
+ cp -f $startdir/src/osd_cat.cfg $startdir/pkg/etc/osd_cat.cfg
+}
diff --git a/abs/core-testing/xosd/osd_cat.cfg b/abs/core-testing/xosd/osd_cat.cfg
new file mode 100644
index 0000000..4852508
--- /dev/null
+++ b/abs/core-testing/xosd/osd_cat.cfg
@@ -0,0 +1,6 @@
+color=white #color of text
+outline=2 #Offset of outline, 0 is no outline
+outlinecolour=black
+shadow=0 #Offset of shadow, 0 is no shadow
+shadowcolour=black
+font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
diff --git a/abs/extra-testing/autofs/Changelog b/abs/extra-testing/autofs/Changelog
index f25555e..7807b97 100644..100755
--- a/abs/extra-testing/autofs/Changelog
+++ b/abs/extra-testing/autofs/Changelog
@@ -1,2 +1,4 @@
5.0.4-5 4/29/09
Cecil - Added run and finish files for runit.
+6/28/10
+Britney - Updated run to manage automount; removed finish and /etc/rc.d/autofs; added logger
diff --git a/abs/extra-testing/autofs/PKGBUILD b/abs/extra-testing/autofs/PKGBUILD
index 7524ae4..a06e83d 100644..100755
--- a/abs/extra-testing/autofs/PKGBUILD
+++ b/abs/extra-testing/autofs/PKGBUILD
@@ -5,7 +5,7 @@
pkgname=autofs
pkgver=5.0.4
-pkgrel=5
+pkgrel=6
pkgdesc="A kernel-based automounter for Linux."
arch=('i686' 'x86_64')
url="http://wiki.autofs.net/FrontPage"
@@ -14,16 +14,8 @@ depends=('libldap' 'libxml2' 'heimdal')
backup=(etc/autofs/auto.master etc/autofs/auto.misc etc/conf.d/autofs)
install=autofs.install
source=("http://www.kernel.org/pub/linux/daemons/${pkgname}/v5/${pkgname}-${pkgver}.tar.bz2"
- 'autofs' 'autofs.conf.d' 'auto.master' 'auto.misc'
- 'heimdal.patch' 'run' 'finish')
-md5sums=('2646dde61edd08dd952255558c733c08'
- 'b4984b3161f50cba3d189b0ec594d014'
- '47f597c870410055e0fdb66103daf928'
- 'a6cefb591e77b31b79dbb7243646c96b'
- 'd8a15ec9186c5c0b36e5cea1e2739e8a'
- '1ee4825e26ad72bfe86acec3d3da5d2a'
- '74d3b5b6c4421275448084472cfa691a'
- '43410e98ecb224cde73ce32be5a6aa14')
+ 'autofs.conf.d' 'auto.master' 'auto.misc'
+ 'heimdal.patch' 'run' 'log.run')
build() {
export MAKEFLAGS="-j1"
@@ -45,10 +37,18 @@ build() {
done
sed -i "s:/etc:/etc/autofs:g" ${pkgdir}/usr/share/man/man5/auto.master.5
- install -D -m 755 ${srcdir}/autofs ${pkgdir}/etc/rc.d/autofs
install -D -m 644 ${srcdir}/autofs.conf.d ${pkgdir}/etc/conf.d/autofs
mkdir -p ${pkgdir}/etc/sv/autofs/supervise
+ mkdir -p ${pkgdir}/etc/sv/autofs/log/supervise
install -D -m 744 ${srcdir}/run ${pkgdir}/etc/sv/autofs
- install -D -m 744 ${srcdir}/finish ${pkgdir}/etc/sv/autofs
+ install -D -m 744 ${srcdir}/log.run ${pkgdir}/etc/sv/autofs/log/run
}
# vim: ts=2 sw=2 et ft=sh
+
+md5sums=('2646dde61edd08dd952255558c733c08'
+ '47f597c870410055e0fdb66103daf928'
+ 'a6cefb591e77b31b79dbb7243646c96b'
+ 'd8a15ec9186c5c0b36e5cea1e2739e8a'
+ '1ee4825e26ad72bfe86acec3d3da5d2a'
+ 'de5341a56e0c6c5ec89ed361f9107b3b'
+ '518e277f960a1af837ba6c5cca13c615')
diff --git a/abs/extra-testing/autofs/autofs b/abs/extra-testing/autofs/autofs
deleted file mode 100644
index 59ea4f5..0000000
--- a/abs/extra-testing/autofs/autofs
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/bash
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-# source application-specific settings
-[ -f /etc/conf.d/autofs ] && . /etc/conf.d/autofs
-
-if [ ! -z "$TIMEOUT" ]; then
- daemonoptions="--timeout=$TIMEOUT $daemonoptions"
-fi
-
-PID=`cat /var/run/autofs-running 2> /dev/null`
-case "$1" in
- start)
- stat_busy "Starting Automounter"
- [ -z "$PID" ] && /usr/sbin/automount $daemonoptions &> /dev/null
- if [ $? -gt 0 ]; then
- stat_fail
- else
- add_daemon autofs
- stat_done
- fi
- ;;
- stop)
- stat_busy "Stopping Automounter"
- [ ! -z "$PID" ] && kill $PID &> /dev/null
- if [ $? -gt 0 ]; then
- stat_fail
- else
- rm_daemon autofs
- stat_done
- fi
- ;;
- restart)
- $0 stop
- sleep 1
- $0 start
- ;;
- *)
- echo "usage: $0 {start|stop|restart}"
-esac
-exit 0
diff --git a/abs/extra-testing/autofs/finish b/abs/extra-testing/autofs/finish
deleted file mode 100755
index 26f9d19..0000000
--- a/abs/extra-testing/autofs/finish
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-exec 2>&1
-sv down autofs
diff --git a/abs/extra-testing/autofs/log.run b/abs/extra-testing/autofs/log.run
new file mode 100755
index 0000000..d184328
--- /dev/null
+++ b/abs/extra-testing/autofs/log.run
@@ -0,0 +1,2 @@
+#!/bin/sh
+/usr/bin/logger -p info -i -t autofs
diff --git a/abs/extra-testing/autofs/run b/abs/extra-testing/autofs/run
index b35a4ea..7d146fc 100755
--- a/abs/extra-testing/autofs/run
+++ b/abs/extra-testing/autofs/run
@@ -2,4 +2,13 @@
exec 2>&1
set -e # barf if modprobe fails
/sbin/modprobe autofs4
-exec /etc/rc.d/autofs start
+#exec /etc/rc.d/autofs start
+
+# source application-specific settings
+[ -f /etc/conf.d/autofs ] && . /etc/conf.d/autofs
+
+if [ ! -z "$TIMEOUT" ]; then
+ daemonoptions="--timeout=$TIMEOUT $daemonoptions"
+fi
+
+exec /usr/sbin/automount -f $daemonoptions
diff --git a/abs/extra-testing/mythappletrailers/PKGBUILD b/abs/extra-testing/mythappletrailers/PKGBUILD
index 0c65c73..c8399fc 100644
--- a/abs/extra-testing/mythappletrailers/PKGBUILD
+++ b/abs/extra-testing/mythappletrailers/PKGBUILD
@@ -3,7 +3,7 @@
pkgname=mythappletrailers
pkgver=0.04.3
-pkgrel=39
+pkgrel=40
pkgdesc="Unofficial Add-on for MythTV to get Apple.com Movie Trailers."
arch=('i686' 'x86_64')
license=('GPL2')
@@ -28,3 +28,8 @@ build() {
cp trailers $startdir/pkg/etc/cron.daily/
install -m755 $srcdir/fix_aple_url.sh $pkgdir/usr/bin
}
+md5sums=('336e68953d0e1e8a0c7a4990f8d43a2b'
+ 'c7da92600afe2a3b1f564764500315a0'
+ '5fdd4aa17b9c1e77b272437ae42a1827'
+ 'ece3c5f8a605b6e2270c6f7671705631'
+ 'a2349f844e47fd95a672739177ca44ff')
diff --git a/abs/extra-testing/mythappletrailers/loading.sh b/abs/extra-testing/mythappletrailers/loading.sh
index d1ef680..e4e85fc 100755
--- a/abs/extra-testing/mythappletrailers/loading.sh
+++ b/abs/extra-testing/mythappletrailers/loading.sh
@@ -1,2 +1,12 @@
#!/bin/bash
-echo -e "Loading . . . " | osd_cat -p middle -s 5 -f"-adobe-courier-bold-*-*-*-34-*-*-*-*-*" -d 10 -A centre
+
+. /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
+
+echo -e "Loading . . . " | osd_cat --pos=middle --align=center --delay=10 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font